{% extends 'templates.html' %}
{% load staticfiles %}
{% load static %}
{% block content %}
<html>

<head>
    <link rel="stylesheet" type="text/css" href="{% static 'tutorial_1.css' %}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="{% static 'tutorial_1.css' %}" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
</head>

<body>  
    <div class="bgimg"></div>
    <div class="container">

        <div class="flexbox99">
            <h1 style="color: black; margin: 10vmax">s u b s c r i b e r s</h1>
        </div>
        <div class="flexbox">
                {% csrf_token %}
            <table class = "table" style="z-index:1;opacity: 0.5;" id="substable">
                <tr>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Unsubscribe?</th>
                </tr>
            </table>
        </div>
    </div>
    </div>

    <script>
            check();
            function check(){
                $.ajax({
                    method: "GET",
                    url: "subs_json/",
                    type: "json",
                    success: function (array) {
                        if (array.results.length === 0) {
                            $('#substable td').remove();
                            alert("This website has no subscribers!")
                        }
                        for (var i = 0; i < array.results.length; i++) {
                        tr = $('<tr/>');
                        tr.append("<td>" + array.results[i].name+ "</td>");
                        tr.append("<td>" + array.results[i].email + "</td>");
                        tr.append("<td><button id = 'delete'" +  'onClick="unsubscribe(\'' + array.results[i].email + '\')">'+ "Unsubscribe</button></td>")
                        $('#substable').append(tr);
                        }
                    },
                    error: function(error){
                        alert("An error has occured!")
                    }

                });
            }
        function unsubscribe(val){
          $.ajax({
            method : "POST",
            url : "unsub/" + val,
            data : {
                email : val,
                csrfmiddlewaretoken: document.getElementsByName('csrfmiddlewaretoken')[0].value
            },
            success: function (array) {
                alert("User has successfully unsubscribed!")
                check()
            },
            error: function(error){
                alert("An error has occured!")
            }
          });
          //window.open('../friend-list/', '_self')
        }

    </script>
</body>

</html>
{% endblock %}